Kaydı başlat
POST
/api/website/customers/register
const url = 'https://api.petanqueai.com/api/website/customers/register';const options = { method: 'POST', headers: { 'x-storefront-token': '<x-storefront-token>', 'Content-Type': 'application/json' }, body: '{"email":"hello@example.com","name":"example","password":"example","phone":"example","smsConsent":true,"verifyUrl":"https://example.com"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.petanqueai.com/api/website/customers/register \ --header 'Content-Type: application/json' \ --header 'x-storefront-token: <x-storefront-token>' \ --data '{ "email": "hello@example.com", "name": "example", "password": "example", "phone": "example", "smsConsent": true, "verifyUrl": "https://example.com" }'Müşteriye adresini doğrulaması için bir bağlantı e-postalar. Müşteri bağlantıyı açıp siteniz E-postayı doğrula’yı çağırana kadar hesap oluşmaz.
verifyUrl, sitenizde bağlantıyı karşılayan sayfadır; Petanque AI sonuna ?token=… ekler. Adresin kökeni mağazanızın izin verilen kökenleri arasında olmalıdır (Ayarlar → Web Sitesi), yoksa 422 alır. Bağlantı 24 saat geçerlidir.
202 döner. Adreste şifreli bir hesap zaten varsa 409. Adres başına saatte 5 kayıtla sınırlıdır.
Yetkilendirmeler
Bölüm başlığı “Authorizations”İstek gövdesizorunlu
Bölüm başlığı “Request Bodyrequired”object
email
zorunlu
string biçim: email
name
zorunlu
string
password
zorunlu
string
phone
string
smsConsent
boolean
verifyUrl
zorunlu
string biçim: uri
Example generated
{ "email": "hello@example.com", "name": "example", "password": "example", "phone": "example", "smsConsent": true, "verifyUrl": "https://example.com"}object
email
zorunlu
string biçim: email
name
zorunlu
string
password
zorunlu
string
phone
string
smsConsent
boolean
verifyUrl
zorunlu
string biçim: uri
Example generated
email=hello%40example.com&name=example&password=example&phone=example&smsConsent=true&verifyUrl=https%3A%2F%2Fexample.comobject
email
zorunlu
string biçim: email
name
zorunlu
string
password
zorunlu
string
phone
string
smsConsent
boolean
verifyUrl
zorunlu
string biçim: uri